import { EventEmitter, ElementRef } from '@angular/core';
import { ICalendarDate } from '../calendar';
import { DateRangeDescriptor } from '../../core/dates';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class IgxDayItemComponent {
    private elementRef;
    date: ICalendarDate;
    selection: string;
    /**
     * Returns boolean indicating if the day is selected
     *
     */
    get selected(): any;
    /**
     * Selects the day
     */
    set selected(value: any);
    disabledDates: DateRangeDescriptor[];
    outOfRangeDates: DateRangeDescriptor[];
    specialDates: DateRangeDescriptor[];
    hideOutsideDays: boolean;
    isLastInRange: boolean;
    isFirstInRange: boolean;
    isWithinRange: boolean;
    dateSelection: EventEmitter<ICalendarDate>;
    get isCurrentMonth(): boolean;
    get isPreviousMonth(): boolean;
    get isNextMonth(): boolean;
    get nativeElement(): any;
    get isSelectedCSS(): boolean;
    get isInactive(): boolean;
    get isHidden(): boolean;
    get isToday(): boolean;
    get isWeekend(): boolean;
    get isDisabled(): boolean;
    get isOutOfRange(): boolean;
    get isFocusable(): boolean;
    get isWithinRangeCSS(): boolean;
    get isSpecial(): boolean;
    get isDisabledCSS(): boolean;
    get isSingleSelection(): boolean;
    private _selected;
    constructor(elementRef: ElementRef);
    onSelect(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<IgxDayItemComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IgxDayItemComponent, "igx-day-item", never, { "date": "date"; "selection": "selection"; "selected": "selected"; "disabledDates": "disabledDates"; "outOfRangeDates": "outOfRangeDates"; "specialDates": "specialDates"; "hideOutsideDays": "hideOutsideDays"; "isLastInRange": "isLastInRange"; "isFirstInRange": "isFirstInRange"; "isWithinRange": "isWithinRange"; }, { "dateSelection": "dateSelection"; }, never, ["*"], false>;
}
