import { IgxNavigationService } from './nav.service';
import * as i0 from "@angular/core";
/**
 * Directive that can toggle targets through provided NavigationService.
 *
 * Usage:
 * ```
 * <button igxNavToggle="ID"> Toggle </button>
 * ```
 * Where the `ID` matches the ID of compatible `IToggleView` component.
 */
export declare class IgxNavigationToggleDirective {
    private target;
    state: IgxNavigationService;
    constructor(nav: IgxNavigationService);
    toggleNavigationDrawer(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<IgxNavigationToggleDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<IgxNavigationToggleDirective, "[igxNavToggle]", never, { "target": "igxNavToggle"; }, {}, never, never, false>;
}
/**
 * Directive that can close targets through provided NavigationService.
 *
 * Usage:
 * ```
 * <button igxNavClose="ID"> Close </button>
 * ```
 * Where the `ID` matches the ID of compatible `IToggleView` component.
 */
export declare class IgxNavigationCloseDirective {
    private target;
    state: IgxNavigationService;
    constructor(nav: IgxNavigationService);
    closeNavigationDrawer(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<IgxNavigationCloseDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<IgxNavigationCloseDirective, "[igxNavClose]", never, { "target": "igxNavClose"; }, {}, never, never, false>;
}
/**
 * @hidden
 */
export declare class IgxNavigationModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<IgxNavigationModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<IgxNavigationModule, [typeof IgxNavigationCloseDirective, typeof IgxNavigationToggleDirective], never, [typeof IgxNavigationCloseDirective, typeof IgxNavigationToggleDirective]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<IgxNavigationModule>;
}
