import { ConnectedPositioningStrategy } from '../services/public_api';
import { PositionSettings, Point } from '../services/overlay/utilities';
import { ColumnPinningPosition, RowPinningPosition } from './common/enums';
import * as i0 from "@angular/core";
export declare class IgxGridBodyDirective {
    static ɵfac: i0.ɵɵFactoryDeclaration<IgxGridBodyDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<IgxGridBodyDirective, "[igxGridBody]", never, {}, {}, never, never, false>;
}
/**
 * @hidden
 */
export interface RowEditPositionSettings extends PositionSettings {
    container?: HTMLElement;
}
/**
 * An interface describing settings for row/column pinning position.
 */
export interface IPinningConfig {
    columns?: ColumnPinningPosition;
    rows?: RowPinningPosition;
}
/**
 * @hidden
 */
export declare class RowEditPositionStrategy extends ConnectedPositioningStrategy {
    isTop: boolean;
    isTopInitialPosition: any;
    settings: RowEditPositionSettings;
    position(contentElement: HTMLElement, size: {
        width: number;
        height: number;
    }, document?: Document, initialCall?: boolean, target?: Point | HTMLElement): void;
}
