import { ElementRef } from '@angular/core';
import { GridType, IgxGridEmptyTemplateContext, IgxGridRowEditActionsTemplateContext, IgxGridRowEditTemplateContext, IgxGridRowEditTextTemplateContext } from './common/grid.interface';
import * as i0 from "@angular/core";
/** @hidden @internal */
export declare class IgxRowEditTemplateDirective {
    static ngTemplateContextGuard(_directive: IgxRowEditTemplateDirective, context: unknown): context is IgxGridRowEditTemplateContext;
    static ɵfac: i0.ɵɵFactoryDeclaration<IgxRowEditTemplateDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<IgxRowEditTemplateDirective, "[igxRowEdit]", never, {}, {}, never, never, false>;
}
/** @hidden @internal */
export declare class IgxRowEditTextDirective {
    static ngTemplateContextGuard(_directive: IgxRowEditTextDirective, context: unknown): context is IgxGridRowEditTextTemplateContext;
    static ɵfac: i0.ɵɵFactoryDeclaration<IgxRowEditTextDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<IgxRowEditTextDirective, "[igxRowEditText]", never, {}, {}, never, never, false>;
}
/** @hidden @internal */
export declare class IgxRowAddTextDirective {
    static ngTemplateContextGuard(_directive: IgxRowAddTextDirective, context: unknown): context is IgxGridEmptyTemplateContext;
    static ɵfac: i0.ɵɵFactoryDeclaration<IgxRowAddTextDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<IgxRowAddTextDirective, "[igxRowAddText]", never, {}, {}, never, never, false>;
}
/** @hidden @internal */
export declare class IgxRowEditActionsDirective {
    static ngTemplateContextGuard(_directive: IgxRowEditActionsDirective, context: unknown): context is IgxGridRowEditActionsTemplateContext;
    static ɵfac: i0.ɵɵFactoryDeclaration<IgxRowEditActionsDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<IgxRowEditActionsDirective, "[igxRowEditActions]", never, {}, {}, never, never, false>;
}
/** @hidden @internal */
export declare class IgxRowEditTabStopDirective {
    grid: GridType;
    element: ElementRef<HTMLElement>;
    private currentCellIndex;
    constructor(grid: GridType, element: ElementRef<HTMLElement>);
    handleTab(event: KeyboardEvent): void;
    handleEscape(event: KeyboardEvent): void;
    handleEnter(event: KeyboardEvent): void;
    /**
     * Moves focus to first/last editable cell in the editable row and put the cell in edit mode.
     * If cell is out of view first scrolls to the cell
     *
     * @param event keyboard event containing information about whether SHIFT key was pressed
     */
    private move;
    static ɵfac: i0.ɵɵFactoryDeclaration<IgxRowEditTabStopDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<IgxRowEditTabStopDirective, "[igxRowEditTabStop]", never, {}, {}, never, never, false>;
}
