import { ChangeDetectorRef, ElementRef, NgZone, OnInit, TemplateRef } from '@angular/core';
import { IgxGridCellComponent } from '../cell.component';
import { PlatformUtil } from '../../core/utils';
import { IgxGridSelectionService } from '../selection/selection.service';
import { HammerGesturesManager } from '../../core/touch';
import { GridType } from '../common/grid.interface';
import { IgxOverlayService } from '../../services/public_api';
import * as i0 from "@angular/core";
export declare class IgxGridExpandableCellComponent extends IgxGridCellComponent implements OnInit {
    protected overlayService: IgxOverlayService;
    protected zone: NgZone;
    document: any;
    protected platformUtil: PlatformUtil;
    /**
     * @hidden
     */
    expanded: boolean;
    indicator: ElementRef;
    indentationDiv: ElementRef;
    /**
     * @hidden
     */
    protected defaultExpandedTemplate: TemplateRef<any>;
    /**
     * @hidden
     */
    protected defaultCollapsedTemplate: TemplateRef<any>;
    constructor(selectionService: IgxGridSelectionService, grid: GridType, overlayService: IgxOverlayService, cdr: ChangeDetectorRef, element: ElementRef, zone: NgZone, touchManager: HammerGesturesManager, document: any, platformUtil: PlatformUtil);
    /**
     * @hidden
     */
    toggle(event: Event): void;
    /**
     * @hidden
     */
    onIndicatorFocus(): void;
    /**
     * @hidden
     */
    calculateSizeToFit(range: any): number;
    /**
     * @hidden
     */
    get iconTemplate(): TemplateRef<any>;
    /**
     * @hidden
     */
    get showExpanderIndicator(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<IgxGridExpandableCellComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IgxGridExpandableCellComponent, "igx-expandable-grid-cell", never, { "expanded": "expanded"; }, {}, never, never, false>;
}
