import { PipeTransform } from '@angular/core';
import { IGroupByExpandState } from '../../data-operations/groupby-expand-state.interface';
import { IGroupByResult } from '../../data-operations/grouping-result.interface';
import { IFilteringExpressionsTree } from '../../data-operations/filtering-expressions-tree';
import { IGroupingExpression } from '../../data-operations/grouping-expression.interface';
import { GridType } from '../common/grid.interface';
import { IFilteringStrategy } from '../../data-operations/filtering-strategy';
import { ISortingExpression } from '../../data-operations/sorting-strategy';
import { IGridSortingStrategy, IGridGroupingStrategy } from '../common/strategy';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class IgxGridSortingPipe implements PipeTransform {
    private grid;
    constructor(grid: GridType);
    transform(collection: any[], sortExpressions: ISortingExpression[], groupExpressions: IGroupingExpression[], sorting: IGridSortingStrategy, id: string, pipeTrigger: number, pinned?: any): any[];
    static ɵfac: i0.ɵɵFactoryDeclaration<IgxGridSortingPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<IgxGridSortingPipe, "gridSort", false>;
}
/**
 * @hidden
 */
export declare class IgxGridGroupingPipe implements PipeTransform {
    private grid;
    constructor(grid: GridType);
    transform(collection: any[], expression: IGroupingExpression | IGroupingExpression[], expansion: IGroupByExpandState | IGroupByExpandState[], groupingStrategy: IGridGroupingStrategy, defaultExpanded: boolean, id: string, groupsRecords: any[], _pipeTrigger: number): IGroupByResult;
    static ɵfac: i0.ɵɵFactoryDeclaration<IgxGridGroupingPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<IgxGridGroupingPipe, "gridGroupBy", false>;
}
/**
 * @hidden
 */
export declare class IgxGridPagingPipe implements PipeTransform {
    private grid;
    constructor(grid: GridType);
    transform(collection: IGroupByResult, page: number, perPage: number, _id: string, _: number): IGroupByResult;
    static ɵfac: i0.ɵɵFactoryDeclaration<IgxGridPagingPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<IgxGridPagingPipe, "gridPaging", false>;
}
/**
 * @hidden
 */
export declare class IgxGridFilteringPipe implements PipeTransform {
    private grid;
    constructor(grid: GridType);
    transform(collection: any[], expressionsTree: IFilteringExpressionsTree, filterStrategy: IFilteringStrategy, advancedExpressionsTree: IFilteringExpressionsTree, id: string, pipeTrigger: number, filteringPipeTrigger: number, pinned?: any): any[];
    static ɵfac: i0.ɵɵFactoryDeclaration<IgxGridFilteringPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<IgxGridFilteringPipe, "gridFiltering", false>;
}
