import { EventEmitter, TemplateRef } from '@angular/core';
import { Direction, IgxSlideComponentBase } from '../carousel/carousel-base';
import { IgxTabHeaderBase, IgxTabItemBase, IgxTabContentBase, IgxTabsBase } from './tabs.base';
import * as i0 from "@angular/core";
export declare abstract class IgxTabItemDirective implements IgxTabItemBase, IgxSlideComponentBase {
    private tabs;
    /** @hidden */
    headerComponent: IgxTabHeaderBase;
    /** @hidden */
    panelComponent: IgxTabContentBase;
    /** @hidden */
    headerTemplate: TemplateRef<any>;
    /** @hidden */
    panelTemplate: TemplateRef<any>;
    /**
     * Output to enable support for two-way binding on [(selected)]
     */
    selectedChange: EventEmitter<boolean>;
    /**
     * An @Input property that allows you to enable/disable the item.
     */
    disabled: boolean;
    /** @hidden */
    direction: Direction;
    /** @hidden */
    previous: boolean;
    private _selected;
    /**
     * An @Input property which determines whether an item is selected.
     */
    get selected(): boolean;
    set selected(value: boolean);
    /** @hidden */
    constructor(tabs: IgxTabsBase);
    static ɵfac: i0.ɵɵFactoryDeclaration<IgxTabItemDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<IgxTabItemDirective, never, never, { "disabled": "disabled"; "selected": "selected"; }, { "selectedChange": "selectedChange"; }, ["headerComponent", "panelComponent"], never, false>;
}
