"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.filterSourceDirs = void 0;
const schematics_1 = require("@angular-devkit/schematics");
const util_1 = require("./util");
/**
 * @deprecated Temporary
 *
 * Filter tree to project source dirs
 */
const filterSourceDirs = (host, context) => {
    const configPath = (0, util_1.getWorkspacePath)(host);
    let sourcePaths;
    const schematicPosition = context.schematic.collection.listSchematicNames().indexOf(context.schematic.description.name);
    if (schematicPosition !== 0 && !configPath) {
        // assume already filtered
        return tree => tree;
    }
    const config = (0, util_1.getWorkspace)(host);
    if (config) {
        sourcePaths = (0, util_1.getProjectPaths)(config);
    }
    else {
        context.logger.warn(`Couldn't find angular.json. This may take slightly longer to search all files.`);
        sourcePaths = host.root.subdirs.filter(x => x.indexOf('node_modules') === -1).map(x => `/${x}`);
    }
    return (0, schematics_1.filter)(x => !!sourcePaths.find(folder => x.startsWith(folder)));
};
exports.filterSourceDirs = filterSourceDirs;
