"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const UpdateChanges_1 = require("../common/UpdateChanges");
const tsUtils_1 = require("../common/tsUtils");
const version = '10.1.0';
exports.default = () => (host, context) => __awaiter(void 0, void 0, void 0, function* () {
    context.logger.info(`Applying migration for Ignite UI for Angular to version ${version}`);
    const update = new UpdateChanges_1.UpdateChanges(__dirname, host, context);
    update.applyChanges();
    // replace DropPosition.None with DropPosition.AfterDropTarget
    for (const entryPath of update.tsFiles) {
        let content = host.read(entryPath).toString();
        if (content.indexOf('DropPosition.None') !== -1) {
            const pos = (0, tsUtils_1.getIdentifierPositions)(content, 'DropPosition');
            for (let i = pos.length; i--;) {
                const end = pos[i].end + 5;
                const isMatch = content.slice(pos[i].start, end) === 'DropPosition.None';
                if (isMatch) {
                    content = content.slice(0, pos[i].start) + 'DropPosition.AfterDropTarget' + content.slice(end);
                }
            }
            host.overwrite(entryPath, content);
        }
    }
});
