"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const util_1 = require("../common/util");
const version = '6.0.2';
exports.default = () => (host, context) => __awaiter(void 0, void 0, void 0, function* () {
    const themeImport = '~igniteui-angular/core/styles/themes';
    const newThemeImport = '~igniteui-angular/lib/core/styles/themes';
    const config = (0, util_1.getWorkspace)(host);
    const projects = (0, util_1.getProjects)(config);
    context.logger.info(`Applying migration for Ignite UI for Angular to version ${version}`);
    for (const proj of projects) {
        const dir = host.getDir(proj.sourceRoot);
        dir.visit((path, entry) => {
            if (path.endsWith('.scss')) {
                let content = entry.content.toString();
                if (content.indexOf(themeImport) !== -1) {
                    content = content.replace(themeImport, newThemeImport);
                    host.overwrite(path, content);
                }
            }
        });
    }
});
