"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.installPackageJsonDependencies = void 0;
const tasks_1 = require("@angular-devkit/schematics/tasks");
const extSchematicModule = '@igniteui/angular-schematics';
const schematicName = 'cli-config';
const installPackageJsonDependencies = (options) => (tree, context) => {
    const installTaskId = context.addTask(new tasks_1.NodePackageInstallTask());
    const cliSchematicTask = new tasks_1.RunSchematicTask(extSchematicModule, // Module
    schematicName, // Schematic Name
    {
        collection: extSchematicModule,
        name: schematicName,
        options
    });
    // Add Task for igniteu-cli schematic and wait for install task to finish
    context.addTask(cliSchematicTask, [installTaskId]);
    return tree;
};
exports.installPackageJsonDependencies = installPackageJsonDependencies;
